<body id="page-top">
<div id="wrapper">
  <app-home-application></app-home-application>
  <div class="d-flex flex-column" id="content-wrapper">
    <div id="content">
      <app-navbar></app-navbar>

      <div class="container my-auto">
        <div class="container">
          <main>
            <div class="py-5 text-center">
              <h2>Nouvelle demande</h2>
            </div>

            <div class="row g-5">
              <div class="col-md-5 col-lg-4 order-md-last">
                <h4 class="d-flex justify-content-between align-items-center mb-3">
                  <span class="text-primary">Participants</span>
                  <span class="badge bg-primary rounded-pill">{{participants.length}}</span>
                </h4>
                <ul class="list-group mb-3">
                  <li class="list-group-item d-flex justify-content-between lh-sm" *ngFor="let participant of participants">
                    <div>
                      <h6 class="my-0">{{participant.firstName}} {{participant.lastName}}</h6>
                      <small class="text-muted">{{ participant.role }}</small>
                    </div>
                    <span class="text-muted">{{ participant.status }}</span>
                    <button type="button" class="btn btn-danger" (click)="removeParticipant(participant.userId)">X</button>
                  </li>
                </ul>

                <form class="card p-2"  >
                  <div class="input-group">
                    <input type="text" class="form-control" id="participant" name="participant" placeholder="Nom prénom" [(ngModel)]="searchText">
                    <div class="autocomplete-items" *ngIf="searchText.length">
                      <div class="d-flex justify-content-between" *ngFor="let user of users | usersFilter: searchText">
                        {{user.firstName}} {{user.lastName}}
                        <button type="submit" class="btn btn-success text-white" (click)="addParticipant(user.id)">Ajouter</button>
                      </div>
                    </div>
                  </div>
                </form>

                <form class="mt-5" [formGroup] = "ticketForm">
                  <h4 class="d-flex justify-content-between align-items-center">
                    <span class="text-primary">Fichier</span>
                  </h4>
                  <form class="card mt-2 p-2">
                    <div class="input-group">
                      <input type="file" class="form-control" id="file" (change)="onFileSelected($event)">
                    </div>
                  </form>
                </form>
              </div>

              <div class="col-md-7 col-lg-8">

                <form class="needs-validation" [formGroup]="ticketForm" (ngSubmit)="onSubmit()" novalidate>
                  <div class="col-sm-12">
                    <input type="text" formControlName="title" class="form-control mt-2" id="title" placeholder="Titre" [ngClass]="{ 'is-invalid': submitted && f.title.errors }"  required>
                    <div *ngIf="submitted && f.title.errors" class="invalid-feedback">
                      <div *ngIf="f.title.errors.required">Un titre valide est requis.</div>
                    </div>
                  </div>

                  <div class="row g-3">
                    <div class="col-sm-12">
                      <textarea type="text" formControlName="description" class="form-control mt-4" id="description" placeholder="Description" rows="14"
                                [ngClass]="{ 'is-invalid': submitted && f.description.errors }" ></textarea>
                      <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
                        <div *ngIf="f.description.errors.required">Une description valide est requise</div>
                      </div>
                    </div>

                    <div class="col-12">
                      <label for="start">Date butoir :</label> <br>
                      <input type="date" formControlName="endDate" id="start">
                      <div *ngIf="submitted && f.endDate.errors" class="invalid-feedback">
                        <div *ngIf="f.endDate.errors.required">Une date butoire est requise.</div>
                      </div>
                    </div>
                  </div>

                  <hr class="my-4">
                  <div>
                    <button [disabled]="loading" class="w-100 btn btn-primary btn-lg mb-4">Envoyer</button>
                  </div>

                </form>
              </div>
            </div>
          </main>
      </div>
    </div>
  </div>
</div>
</div>
</body>

